This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 640633 - JBoss web server connector metrics for JBossAS appear to use threads allocated instead of maxThreads for the max
JBoss web server connector metrics for JBossAS appear to use threads allocate...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-06 10:00 EDT by dsteigne
Modified: 2014-09-08 07:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-27 16:55:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2010-10-06 10:00:42 EDT
Description of problem:

The embedded JBoss web server connector metrics for JBossAS appear to use threads allocated instead of maxThreads for the maximum. So an alert for "> 90% max AJP connections" triggers when 4 out of 4 threads are busy even though maxThreads is 50. We are seeing similar false alarms after creating alerts for Datasource connections in use and ConnectionFactory connections in use. 

Version-Release number of selected component (if applicable):

2.4.0
Comment 1 Jay Shaughnessy 2014-06-27 16:55:47 EDT
closed due to inactivity, please re-open if still an issue.

Note You need to log in before you can comment on or make changes to this bug.